## gman 0.0.8

=== Makefile ===
# Gman Makefile
# You can adjust the following variables.
CXX = g++
CXXFLAGS = -DVERSION=\"0.0.8\" `gtk-config --cflags` -O2 #-Wall
CC = $(CXX) $(CXXFLAGS)

GNOMELIB = #`gnome-config --libs gnomeui`
prefix = /usr/local

# There shouldn't be any need to edit anything below this point.
all: gman

gman: menu.o mandata.o util.o gman.o list.o context.o task.o taskfunc.o window2.o
	$(CC) -lgtk -lgdk -lpthread $(GNOMELIB) menu.o mandata.o util.o gman.o list.o context.o task.o taskfunc.o window2.o -o gman

gman.o: gman.c menu.h
	$(CC) -c gman.c

menu.o: menu.c mandata.h util.h
	$(CC) -c menu.c -o menu.o

mandata.o: mandata.c mandata.h util.h mandatadef.h
	$(CC) -c mandata.c -o mandata.o

util.o: util.c util.h
	$(CC) -c util.c -o util.o

list.o: list.c list.h
	$(CC) -c list.c

context.o: context.c context.h
	$(CC) -c context.c

task.o: task.c task.h
	$(CC) -c task.c

taskfunc.o: taskfunc.c taskfunc.h
	$(CC) -c taskfunc.c

window2.o: window2.c window2.h
	$(CC) -c window2.c

clean: 
	rm -f *.o gman

install:
	test -d $(prefix)/bin || mkdir -p $(prefix)/bin
	test -d $(prefix)/man/man1 || mkdir -p $(prefix)/man/man1
	install -s -m 755 gman $(prefix)/bin
	install -m 644 gman.1x $(prefix)/man/man1

## gman 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,19 @@
 # Gman Makefile
 # You can adjust the following variables.
 CXX = g++
-CXXFLAGS = -DVERSION=\"0.0.8\" `gtk-config --cflags` -O2 #-Wall
+CXXFLAGS = -DVERSION=\"0.9.3\" `gtk-config --cflags` -O2 -Wall
 CC = $(CXX) $(CXXFLAGS)
 
 GNOMELIB = #`gnome-config --libs gnomeui`
-prefix = /usr/local
+GTKLIB = -L/usr/lib/ `gtk-config --libs` 
+prefix = /usr
+cgi_bin_prefix = /var/www/cgi-bin
 
 # There shouldn't be any need to edit anything below this point.
 all: gman
 
 gman: menu.o mandata.o util.o gman.o list.o context.o task.o taskfunc.o window2.o
-	$(CC) -lgtk -lgdk -lpthread $(GNOMELIB) menu.o mandata.o util.o gman.o list.o context.o task.o taskfunc.o window2.o -o gman
+	$(CXX) -lgtk -lgdk -lpthread $(GTKLIB) menu.o mandata.o util.o gman.o list.o context.o task.o taskfunc.o window2.o -o gman
 
 gman.o: gman.c menu.h
 	$(CC) -c gman.c
@@ -41,10 +43,13 @@
 	$(CC) -c window2.c
 
 clean: 
-	rm -f *.o gman
+	rm -f *.o *~ gman
 
 install:
 	test -d $(prefix)/bin || mkdir -p $(prefix)/bin
 	test -d $(prefix)/man/man1 || mkdir -p $(prefix)/man/man1
+	test -d $(cgi_bin_prefix)/gman || mkdir -p $(cgi_bin_prefix)/gman
 	install -s -m 755 gman $(prefix)/bin
+	install -s -m 755 gman.pl $(prefix)/bin/gman.cgi
 	install -m 644 gman.1x $(prefix)/man/man1
+	install -s -m 755 gman.pl $(ci_bin_prefix)/gman

=== debian/changelog ===
gman (0.9.3-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Merge changes from Ubuntu.
    + Fix FTBFS caused by link ordering. (Closes: #925698)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Use "Rules-Requires-Root: no".
  * debian/rules:
    + Migrate to dh sequencer.
  * debian/patches: Add patch 0007 to fix FTBFS in test.c.
  * debian/copyright: Rewrite with machine-readable copyright
    format.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 10:30:27 -0500

gman (0.9.3-5.2ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:25:30 +0000

gman (0.9.3-5.2ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Reorder libraries to fix FTBFS with ld --as-needed

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 18 Jan 2012 15:15:05 +0100

gman (0.9.3-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switched from mozilla to sensible-browser.
  * Added evince as choice since this is gnome/GTK+ app.
  * Updated manpath default values to current situation.
  * Updated policy version, used 3.0 (quilt) format, and
    made some lintian touch-ups.

 -- Osamu Aoki <osamu@debian.org>  Wed, 04 Jan 2012 00:48:23 +0900

gman (0.9.3-5.1ubuntu1) oneiric; urgency=low

  * Reorder libraries to fix FTBFS with ld --as-needed (LP: #770780)

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 19 Aug 2011 19:10:26 +0200

gman (0.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build with Gtk2. (Closes: #515288).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 24 Feb 2009 14:58:55 -0500

gman (0.9.3-5) unstable; urgency=medium

  * Replaced 'gtk-config --libs' call with a condensed list of library
    dependencies, the new dpkg-shlibdeps caught a fair few extra ones
    in there.
  * Fixed debug option handling to actually work (?!).
  * (Also fixes the lack of ldbl glib dependency on amd64, caused by
    my hybrid system.)

 -- Josip Rodin <joy-packages@debian.org>  Sat, 22 Mar 2008 15:18:28 +0100

gman (0.9.3-4) unstable; urgency=low

  * Included page name in terminal's icon name as well as the title,
    thanks to Norbert Buchmuller, closes: #390424.
  * Removed '-s' from install(1) invocations in order to properly
    support the nostrip build mode, closes: #437045.
  * Removed a completely unnecessary #include <jerror.h> and the
    libjpeg62-dev build-dependency - gman simply doesn't use anything
    from there.
  * Intercept the complete lack of man2html in gman.pl, closes: #248501.
  * Upped DH_COMPAT and debhelper build-dependency to 5 (no changes).
  * Dropped old FSF address from the copyright file.
  * Upped standards version to 3.7.2 (no changes).
  * Side-note: gman could use 'man -H' instead of its own forking of
    a browser with man2html, but that generates slightly different
    output with no links and requires psutils and netpbm to get tables
    (and even then they don't work, cf. #335411).

 -- Josip Rodin <joy-packages@debian.org>  Sun, 16 Mar 2008 22:54:42 +0100

gman (0.9.3-3) unstable; urgency=low

  * (Restoring package after it was removed by #328541.)
  * Applied Andreas Jochens' patch that fixes numerous broken casts,
    closes: #297177.
  * Updated man2html path, and fixed up the Description, thanks to
    Justin B Rye, closes: #317564.
  * Removed xlibs-dev build dependency.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 26 Feb 2006 01:46:36 +0100

gman (0.9.3-2) unstable; urgency=low

  * Recompiled with new maintainer address, new gcc, new standards version.

 -- Josip Rodin <joy-packages@debian.org>  Thu,  3 Jul 2003 00:56:58 +0200

gman (0.9.3-1) unstable; urgency=low

  * New upstream version, closes: #156493.
  * Severe hacking around the CGI crap.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 13 Aug 2002 15:28:34 +0200

gman (0.0.8-6) unstable; urgency=low

  * Added patches kindly provided by Gergely Nagy to make it compile
    with GCC 3.0 on i386 and hppa, closes: #104806. We'll see about the
    rest.
  * Polishing.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 14 Jul 2001 17:29:38 +0200

gman (0.0.8-5) unstable; urgency=low

  * Added libjpeg62-dev to build-dependencies, closes: #76913.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 19 Nov 2000 20:21:50 +0100

gman (0.0.8-4) unstable; urgency=low

  * Added Provides: man-browser.
  * Clarified the error message when a manual page can't be found
    (2=ENOENT). The listed file may exist, but it is a broken symlink in the
    end. Considering man-db also displays such messages, this closes: #50444.
  * Partially fixed sorting thanks to Paul Harris <harri-pc@ee.uwa.edu.au>,
    closes: #75282. I don't know how I didn't notice that this doesn't
    work. :/ If you have n defined manpaths, it will give 1 clickable result
    and n-1 copies, clicking on which will fail. Oh well. At least the
    warning message will display in which directory it failed. :)
  * Policy 3.2.1 compliance.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri, 28 Jan 2000 18:24:19 +0100

gman (0.0.8-3) unstable; urgency=low

  * Depend on 'xterm | x-terminal-emulator', invoke x-terminal-emulator
    by default, closes: #50484.
  * Fix the default manpath.
  * Standards-Version: 3.1.1. Added Build-Depends:.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 28 Nov 1999 18:04:49 +0100

gman (0.0.8-2) unstable; urgency=low

  * Fixed discarding a const in window2.c, the one-liner kindly provided
    by Edward Brocklesby (larne), closes: #50345.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 17 Nov 1999 11:36:33 +0100

gman (0.0.8-1) unstable; urgency=low

  * Initial Release.
  * menu.c: replaced GNOMEized "About" menu entry with GTK+ code, to
    remove the dependency on GNOME libs (which is pointless). Removed
    tiny GNOME references from the rest of the code.
  * Makefile: various portability changes. Used some nifty shortcuts to


=== debian/control ===
Source: gman
Section: doc
Priority: optional
Maintainer: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper-compat (= 12), libglib2.0-dev, libgtk2.0-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/gman.git
Vcs-Browser: https://salsa.debian.org/debian/gman

Package: gman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, man-db, xterm | x-terminal-emulator
Suggests: gv, man2html, httpd, sensible-browser, evince
Provides: man-browser
Description: small man(1) front-end for X
 Gman is a simple front-end for the manual page system. The most basic job
 of gman is to build a database for all the man pages and display them
 (or part of them) on the screen. When user decides to read a man page,
 gman will launch an external viewer to display the manual page. More than
 one external viewer windows can be launched at the same time.
 .
 The default manual page viewer is a terminal window with the original
 man(1). It can also launch gv, evince, or a link to a CGI script which
 utilizes man2html, for viewing manual pages using a web browser.
 .
 There is an index search function to look for the man pages that one needs.
 It's simple, but it's useful.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk

# Workaround some warnings
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error -Wno-error=format-security
export CPPFLAGS += -Wno-error -Wno-error=format-security
export CXXFLAGS += -Wno-error -Wno-error=format-security


%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	# No tests at this time
